/********************************** (C) COPYRIGHT *******************************
* File Name          : hw_config.h
* Author             : WCH
* Version            : V1.0.0
* Date               : 2019/10/15
* Description        : Configuration file for USB.
*******************************************************************************/ 
#ifndef __HW_CONFIG_H
#define __HW_CONFIG_H

#include "usb_type.h" 
 
#ifdef	DEBUG
#define printf_usb(X...) printf(X)
#else
#define printf_usb(X...)
#endif 

#define USB_USART_TXFIFO_SIZE   1024	//USB⴮ڷFIFOС		
#define USB_USART_REC_LEN	 	200		//USBڽջֽ

//һUSB USART FIFOṹ
typedef struct  
{										    
	u8  buffer[USB_USART_TXFIFO_SIZE];	//buffer
	vu16 writeptr;						//дָ
	vu16 readptr;						//ָ
}_usb_usart_fifo; 
extern _usb_usart_fifo uu_txfifo;		//USBڷFIFO

extern u8  USB_USART_RX_BUF[USB_USART_REC_LEN]; //ջ,USB_USART_REC_LENֽ.ĩֽΪз 
extern u16 USB_USART_RX_STA;   					//״̬	


//ͬUSBӵĺ 
bool USART_Config(void);
void USB_To_USART_Send_Data(uint8_t* data_buffer, uint8_t Nb_bytes);
void USART_To_USB_Send_Data(void);
void USB_USART_SendData(u8 data);
void usb_printf(char* fmt,...); 


void Set_USBConfig(void);
void Enter_LowPowerMode(void);
void Leave_LowPowerMode(void);
void USB_Interrupts_Config(void);
void USB_Port_Set(FunctionalState NewState, FunctionalState Pin_In_IPU);

#endif /* __HW_CONFIG_H */ 








